Subject: Re: Zsh Completion - Bug report
From: Daniel Shahaf <[email-masked]>
To: Stefano Balzan <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Aug 2016 03:07:38 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Stefano Balzan wrote on Fri, Aug 19, 2016 at 20:03:50 +0200:
> Thank you, I think your fix should do, pay attention to the typo Axel
> pointed out though.

Pushed with the correction — thanks everyone for the reviews.

> I'm no expert of the 'ip' command, anyway this is how I would add an arp
> entry:
> 
>  "ip neigh add 192.168.1.1 lladdr 12:34:56:78:ab:cd [other parameters]"
> 
> Probably the lladdr keyword (link layer address) should be suggested at
> argv[4], but I'm not completely sure.

Thanks for the example.  Currently, argv[4] in your command is completed
correctly but argv[3] completes as argv[4]; that is: completing argv[3]
offers lladdr and doesn't offer "an IP address".

It's probably not hard to fix, but I'll leave it to someone else...

Cheers,

Daniel